#ifndef animel
#define animel
class CAnimal {
protected:
    char* name;
    float weight;
public:
    CAnimal(const char* animalName, float animalWeight);
    virtual double GetFoodCaloriesPerDay() const = 0;
    char* GetName();
    virtual ~CAnimal();
};

class CCat : public CAnimal {
public:
    CCat(const char* animalName, float animalWeight) : CAnimal(animalName, animalWeight) {}
    double GetFoodCaloriesPerDay() const;
    const char* whoiam() const;
};

class CDog : public CAnimal {
public:
    CDog(const char* animalName, float animalWeight) : CAnimal(animalName, animalWeight) {}
    double GetFoodCaloriesPerDay() const;
    const char* whoiam() const;
};

class CHorse : public CAnimal {
public:
    CHorse(const char* animalName, float animalWeight) : CAnimal(animalName, animalWeight) {}
    double GetFoodCaloriesPerDay() const;
    const char* whoiam() const;
};

class Cumww : public CCat, virtual CHorse {
public:
    Cumww(const char* animalName, float animalWeight) : CCat(animalName, animalWeight), CHorse(animalName, animalWeight) {}
    using CHorse::GetFoodCaloriesPerDay;
    const char* whoiam() const;
};
unsigned long sum(CAnimal** po,char n);

#endif
